org.jboss.jca.as.converters.wls.metadata

## Interface MetadataParser<T extends WlsMetadata>

- Type Parameters:
    `T` -
  All Known Implementing Classes:
    WeblogicRaPasrer

      public interface MetadataParser<T extends WlsMetadata>

  A MetadataParser.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSystemPropertiesResolved()` Are system properties resolved ?
    `T` | `parse(java.io.InputStream xmlInputStream)` Parse the xml file and return the JCAMetaData for which the concrete parser is designed.
    `T` | `parse(javax.xml.stream.XMLStreamReader reader)` Parse the xml file and return the JCAMetaData for which the concrete parser is designed.
    `void` | `setSystemPropertiesResolved(boolean v)` Set if system properties should be resolved

- - ### Method Detail

    - #### isSystemPropertiesResolved

          boolean isSystemPropertiesResolved()

      Are system properties resolved ?
      Returns:
        True if resolved (default); otherwise false

    - #### setSystemPropertiesResolved

          void setSystemPropertiesResolved(boolean v)

      Set if system properties should be resolved
      Parameters:
        `v` - The value

    - #### parse

          T parse(java.io.InputStream xmlInputStream)
           throws java.lang.Exception

      Parse the xml file and return the JCAMetaData for which the concrete parser is designed. Note that is responsibility of the client to open and close the stream
      Parameters:
        `xmlInputStream` - an InputStrema opened on the xml file to parse
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

    - #### parse

          T parse(javax.xml.stream.XMLStreamReader reader)
           throws java.lang.Exception

      Parse the xml file and return the JCAMetaData for which the concrete parser is designed. Note that is responsibility of the client to open and close the stream
      Parameters:
        `reader` - an XMLStreamReader opened on the xml file to parse
      Returns:
        The metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)